require 'curb'
require 'hashie'
require 'json'

class Pictaculous
  ENDPOINT = 'http://pictaculous.com/api/1.0/'
  VERSION = "0.0.1" unless defined?(Pictaculous::VERSION)
  
  def self.find(image_data)
    Hashie::Mash.new(JSON.parse(Curl.post(ENDPOINT, {image: image_data}).body_str))
  end
end